## org.biojava.bio.taxa
Class EbiFormat

    java.lang.Object
      org.biojava.bio.taxa.EbiFormat

All Implemented Interfaces:
  TaxonParser

public class EbiFormat
extends java.lang.Object
implements TaxonParser

Encapsulate the 'EBI' species format used in Embl, Genbank and Swissprot files.

Author:
  Matthew Pocock

Field Summary
`static java.lang.String` `PROPERTY_NCBI_TAXON`

Constructor Summary
`EbiFormat()`

Method Summary
`static EbiFormat` `getInstance()`
`Taxon` `parse(TaxonFactory taxonFactory, java.lang.String taxonString)` Convert a stringified Taxon into a Taxon instance.
`java.lang.String` `serialize(Taxon taxon)` Convert a Taxon into a stringified representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NCBI_TAXON

    public static final java.lang.String PROPERTY_NCBI_TAXON

Constructor Detail

### EbiFormat

    public EbiFormat()

Method Detail

### getInstance

    public static final EbiFormat getInstance()

### parse

    public Taxon parse(TaxonFactory taxonFactory,
                       java.lang.String taxonString)
                throws ChangeVetoException,
                       CircularReferenceException

  Description copied from interface: `TaxonParser`
  Convert a stringified Taxon into a Taxon instance.

  Specified by:
    `parse` in interface `TaxonParser`
  Parameters:
    `taxonFactory` - the TaxonFactory used to instantiate taxa instances
    `taxonString` - the String to parse
  Returns:
    a Taxon instance created by the TaxonFactory from the taxonString
  Throws:
    `ChangeVetoException`
    `CircularReferenceException`

### serialize

    public java.lang.String serialize(Taxon taxon)

  Description copied from interface: `TaxonParser`
  Convert a Taxon into a stringified representation.

  Specified by:
    `serialize` in interface `TaxonParser`
  Parameters:
    `taxon` - the Taxon to serialize
  Returns:
    the stringified version of Taxon